Subject: bug#47128: 28.0.50; Be more helpful regarding message-syntax-checks

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 12 Apr 2021 09:46:19 -0700

Eric Abrahamsen <[email-masked]> writes:

> The `message-syntax-checks' option doesn't have a very useful
> customization :type, and the manual section explaining what it does
> isn't in the most obvious spot. This patch moves the manual explanation
> from "News Headers" to the more general "Message Headers" section, as
> the option governs both mail and news. It also expands the :type
> definition to explicitly list all the possible options.
>
> The defcustom originally had two comments on it, one saying "Guess this
> one shouldn't be easy to customize...", and another on the :type line
> saying "improve this". That seems a bit contradictory.
>
> Anyway, I don't see the point of actually obfuscating the use of this
> option; this patch should make it a little more discoverable.
>
> What would be even better is to obsolete this in favor of a new
> `message-disabled-syntax-checks' option that was simply a plain list of
> symbols.

I feel like this is fairly uncontroversial -- does anyone have any
objections? I may just go ahead and push, otherwise. (I've since tweaked
the patch so that `message-syntax-checks' belongs to the
'message-headers group, in line with the other changes.)